Last Comment Bug 526339 - file action on a message fail to show the whole tree of folders
: file action on a message fail to show the whole tree of folders
Status: VERIFIED FIXED
: fixed-seamonkey2.0.1
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Philip Chee
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-03 14:06 PST by Jean-François Perron
Modified: 2009-12-10 08:17 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot from main MailNews Window: Msg Copy To (10.68 KB, image/png)
2009-11-04 01:55 PST, Tobias Fischer
no flags Details
Screenshot from Single-Msg-Window, "Copy To" (23.90 KB, image/png)
2009-11-04 01:58 PST, Tobias Fischer
no flags Details
Patch v1.0 add back one line removed by mistake [Checkin: Comments 8+9] (1.00 KB, patch)
2009-11-14 09:02 PST, Philip Chee
neil: review+
neil: superreview+
iann_bugzilla: approval‑seamonkey2.0.1+
Details | Diff | Splinter Review

Description Jean-François Perron 2009-11-03 14:06:59 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.1.4) Gecko/20091017 SeaMonkey/2.0
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.1.4) Gecko/20091017 SeaMonkey/2.0

when I do a right clic on a message, a pop up menu appear whith 2 entries file and copy that pop themselves a box with a list of accounts, "local folders", and "recent" (new in SM2, good thing), this can be expanded, etc
If the message is opened in a window, I can see only "recent"
if I use the "file" button ( added in the tool bar by customization ), also only "recent" can be seen

Reproducible: Always

Steps to Reproduce:
1. see a message
2. try to get the tree of folders to copy to, or move to, by any mean available
3. see if success or fail (only "recent" tree)
Actual Results:  
user interface erroneous and not coherent 

Expected Results:  
to get properly the whole tree of folders if needed from any correct action in the UI

it could be important to move a bunch of IMAP messages in the local tree in case of IMAP server full, or for archiving purpose
Comment 1 Tobias Fischer 2009-11-04 01:55:50 PST
Created attachment 410179 [details]
Screenshot from main MailNews Window: Msg Copy To

Rightclick on a Message in the Thread-Pane of the main MailNews Window shows all possible locations to copy the marked message.
Comment 2 Tobias Fischer 2009-11-04 01:58:57 PST
Created attachment 410180 [details]
Screenshot from Single-Msg-Window, "Copy To"

Screenshot from Single-Message-Window for "Message" "Copy To" were only "Recent" was shown, other Locations were missed.
Comment 3 Tobias Fischer 2009-11-04 02:02:45 PST
Confirm this Issue using:
Build identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.6pre) Gecko/20091103 Mnenhy/0.7.5.20005.h5 SeaMonkey/2.0.1pre

No Errors in Error-Console. Seems, that there was something wrong in the Standalone-Message-Window.
Comment 4 Tobias Fischer 2009-11-04 02:09:03 PST
Oh, and in the Message-Standalone-Window also in Menu "Message" "Move To" only "Recent" will be displayed, the other Entries below are missing, same as "Copy To"
Comment 5 Philip Chee 2009-11-14 08:55:18 PST
Too much removed in Bug 435290 CVS blame says sid0
Comment 6 Philip Chee 2009-11-14 09:02:32 PST
Created attachment 412399 [details] [diff] [review]
Patch v1.0 add back one line removed by mistake
[Checkin: Comments 8+9]

Add back one line that shouldn't have been removed.
Comment 7 neil@parkwaycc.co.uk 2009-11-14 09:18:18 PST
Comment on attachment 412399 [details] [diff] [review]
Patch v1.0 add back one line removed by mistake
[Checkin: Comments 8+9]

CVS blame eh? We really don't have enough QA :-(
Comment 8 Serge Gautherie (:sgautherie) 2009-11-18 07:00:20 PST
Comment on attachment 412399 [details] [diff] [review]
Patch v1.0 add back one line removed by mistake
[Checkin: Comments 8+9]


http://hg.mozilla.org/comm-central/rev/99c32193bb1b
Comment 9 Jens Hatlak (:InvisibleSmiley) 2009-11-18 14:44:15 PST
Comment on attachment 412399 [details] [diff] [review]
Patch v1.0 add back one line removed by mistake
[Checkin: Comments 8+9]

http://hg.mozilla.org/releases/comm-1.9.1/rev/75c6bd90b39b
Comment 10 Tobias Fischer 2009-11-19 02:56:03 PST
Marking Verified=Fixed now, tested with today comm-central and 2.0.1pre Nightly-Builds on Windows and Linux. 

Thanks for fixing. And really, we need better QA. Maybe it would help, if we get an QA-Lead for SeaMonkey, who can delegate some QA-Tasks to the Hobby-QA-People and give useful advice how to do better testing.

Note You need to log in before you can comment on or make changes to this bug.